About this File

Interaction Workspace Help

Copyright © 2008-2010 Genesys Telecommunications Laboratories, Inc. All rights reserved.
iw_help_09-2010_v8.0.201.00

The information contained herein is proprietary and confidential and cannot be disclosed or duplicated without the prior written consent of Genesys Telecommunications Laboratories, Inc.

About Genesys

Alcatel-Lucent’s Genesys solutions feature leading software that manages customer interactions over phone, Web, and mobile devices. The Genesys software suite handles customer conversations across multiple channels and resources - self-service, assisted-service, and proactive outreach - fulfilling customer requests and optimizing customer care goals while efficiently using resources. Genesys software directs more than 100 million customer interactions every day for 4,000 companies and government agencies in 80 countries. These companies and agencies leverage their entire organization, from the contact center to the back office, while dynamically engaging their customers. For more information, go to www.genesyslab.com.

Each product has its own documentation for online viewing at the Genesys Technical Support website or on the Documentation Library DVD, which is available from Genesys upon request. For more information, contact your sales representative.

Notice

Although reasonable effort is made to ensure that the information in this document is complete and accurate at the time of release, Genesys Telecommunications Laboratories, Inc., cannot assume responsibility for any existing errors. Changes and/or corrections to the information contained in this document may be incorporated in future versions.

Your Responsibility for Your System’s Security

You are responsible for the security of your system. Product administration to prevent unauthorized use is your responsibility. Your system administrator should read all documents provided with this product to fully understand the features available that reduce your risk of incurring charges for unlicensed use of Genesys products.

Trademarks

Genesys and the Genesys logo are registered trademarks of Genesys Telecommunications Laboratories, Inc., in the USA and/or other countries. All other trademarks and trade names referred to in this document are the property of other companies.

Technical Support from VARs

If you have purchased this software from a value-added reseller (VAR), please contact the VAR for technical support.

Technical Support from Genesys

If you have purchased support directly from Genesys, please contact Genesys Technical Support at the following regional numbers:

North America and Latin America | +888-369-5555 or +506-674-6767 | support@genesyslab.com
Europe, Middle East, and Africa | +44-(0)-1276-45-7002 | support@genesyslab.co.uk
Asia Pacific | +61-7-3368-6868 | support@genesyslab.com.au
Malaysia | 1-800-814-472 or +61-7-3368-6868 | support@genesyslab.com.au
India | 1-000-800-100-7136 or +91-(022)-3918-0537 | support@genesyslab.com.au
Japan | +81-3-6361-8950 | support@genesyslab.co.jp

Before contacting technical support, please refer to the Genesys Technical Support Guide for complete contact information and procedures.

Ordering Information

For complete information on ordering Genesys products, please see the Genesys Licensing Guide.

Released by

Genesys Telecommunications Laboratories, Inc.
www.genesyslab.com


Printing This Help File

You can print a single topic (page) or all the topics (pages) within a single book. You cannot, however, print the entire Help file at once.

On the Table of Contents, select a topic or book and then do the following:

  1. Select the Print button.

  2. In the Print Topics dialog box, select either:

    • Print the selected topic

    • Print the selected heading and all subtopics

  3. Select OK.


Overview

Overview of Interaction Workspace

Interaction Workspace is a modular, customizable application that enables you to handle contact center interactions, monitor contact center and personal KPIs, and consult with your colleagues.

The Interaction Workspace Help contains information about how to:

  • Use the Composite Views to handle customer interactions according to your role in the contact center.

  • Use the Atomic Views that enable you to complete tasks according to your role in the contact center.

  • Launch Interaction Workspace


Launching Interaction Workspace

Double click the Interaction Workspace icon on your desktop to launch the application.

The Interaction Workspace Login Window is displayed.

After you authenticate, Interaction Workspace might automatically update if new tasks are assigned to you or if the application is updated.


Composite Views Overview

Composite Views are windows that contain the components required to complete a task such as handling an Inbound Voice Interaction. They are supported by Atomic Views which are contained in separate windows.

  • Login —The first view that you see. It enables you to identify yourself and, if required, enter additional login data based on your role or the technical environment. To open the Login Window, launch the Interaction Workspace application.

  • Main Window —Enables you to manage your status, contacts, favorites, and settings; view your KPIs and messages; and launch new interactions.

  • Gadget —Enables you to manage your status and favorites, create new interactions, and access information about interactions that are currently active.

  • Statistics Gadget —Enables you to view your KPIs and contact center statistics in a permanent view. Statistics can be viewed in a ticker or in a static view.

  • Interaction Preview —Displays an interactive notification of a new inbound interaction. The notification is a preview that includes attached data that enables you to decide whether to accept or reject the interaction.

  • Voice Interaction —Enables you to view all the information that is necessary to handle a voice interaction with a customer or internal agent.

    • Internal Voice Interaction —Enables you to start a voice interaction with an internal target.

    • Voice Consult —Enables you to consult with another agent about the current voice interaction, before you initiate a conference with the agent or transfer to the agent.

  • Internal IM —Enables you to send an Instant Message (IM) to another agent (internal target) or receive an IM from an internal target.


Login

The Login view is the first view that you see. It enables you to identify yourself and, if required, enter additional login data, based on your role or the technical environment.

Logging in is a two-step process:

  1. Identify yourself to the system.

  2. Define additional information about yourself, based on your role and the tasks that are assigned to you.

Step One: Logging In to the Interaction Workspace Application

After you have launched the Interaction Workspace application, the login view opens on your desktop.

  1. Enter your user name in the User Name field.

  2. Enter your password in the Password field.

  3. If necessary, select your language from the Language drop-down list.

  4. Click Log In to authenticate yourself on the system. Click Cancel to stop logging in and close the login view.

This process identifies you to the system, so that the correct application is loaded onto your workstation. If no additional information is required, the Main Window or the Gadget view opens immediately after you click Log In. Otherwise, the Advanced Login Parameters view is displayed.

You might be configured to specify your preferred language. To specify a different language preference, select a language from the Language drop-down list.

More/Less Options

You might be configured to specify additional options. To specify additional options, click More. To hide the additional options, click Less.

In the first login view, you might be configured to specify additional options. To specify additional options, click More.

Options that you might be configured to specify include the following:

  • Name of the Interaction Workspace application.

  • Name of the host that is running your configuration server.

  • Port number of your configuration server. This port is normally 2020.

  • Keep recent place <Place Name>. Check this box to use the same Place that was used most recently on the current workstation. You might have to use this option if you do not have a defined place configured for your login.

To hide the additional options, click Less.

Step Two: Defining Advanced Login Parameters

After you have been authenticated and logged in, a new view might open on your desktop that enables you to specify additional information, based on the tasks that you want to perform. The contents of the view are defined by your administrator; they are specific to your role. However, if no additional information is required, the Main Window or the Gadget view opens immediately.

The Advanced Login Parameters view confirms your login and notifies you that you must select one or more channels and provide any additional login information that is specific to those channels.

  1. Enter your information, according to your role and the tasks that you want to perform. You might have to specify your place, your queue, your login, your password, and the channels that you want to use (Voice and/or IM). You might also be required to enter an optional phone number, if you are on a SIP Server system and log in remotely.

  2. Do one of the following:

    • Click OK to submit your information; the Main Window or the Gadget view opens.

    • Click Cancel to close the System Parameters view and log out.

    • Click Change login account to return to the first login view.

Remote Phone Number

If your company is using a SIP Server (VoIP), you might be configured to log in by using a remote phone number at which you can be reached if you are not logged in from a phone that is on the internal phone system of your company .

If you are logging in remotely, enter the remote phone number to which your calls will be routed in the Phone Number box in the Advanced Login Parameters view.

The phone number in this field might already be configured for you.


Main Window

The Main Window enables you to:

  • Manage your status.

  • Manage your settings and preferences.

  • Launch new interactions by using the Team Communicator.

  • View your channels, history, statistics (KPIs) and contact center statistics in My Workspace.

  • Manage contacts.

  • View your messages.

  • Accept or reject inbound interactions by using the Interaction Preview.

  • Start an Instant Message session with an internal target.

Click an area in the following figure for information on the functionality.

Manage Your Status

You can manage your Status in two places in the Main Window:

  • Ready Status menu

  • My Channels tab

Ready Status Menu

The title bar of the Main Window displays your ready status icon and your login status, and provides a button that enables you to log out.

Click the Ready Status icon on the left-hand side of the Main Window title bar to open your ready status menu.

Hover the mouse pointer over the Ready Status icon to view your status summary.

The status summary includes your login name, Place, channels, and channel status.

If you are logged in to more than one channel, detailed status for each channel is displayed; otherwise, only your Ready state is displayed.

Your Ready status is also displayed in the My Channels tab of the Main Window. You can manage your status and forward interactions from the My Channels tab.

Inactivity Timeout

Inactivity Timeout is a security feature that locks the Interaction Workspace windows on your workstation if you do not use your mouse or keyboard for a period of time that is defined by your administrator. You must authenticate to reactivate Interaction Workspace.

Manage Your Settings and Preferences

Click the Agent icon to open the Main Menu. You control your settings and set your preferences from the Main Menu.

The Main Menu contains some or all of the following functions, depending on how you are configured by your system administrator:

  • Switch to Gadget—Toggles between the Main Window view and the Gadget view

  • Show Statistics Gadget—Displays the Statistics Gadget view

  • Main Window Always on Top—Keeps the Main Window on top of any other window that opens on your desktop

  • Refine Place / Channel information—Displays the Advanced Login Parameters view to change your logged-in channel parameters

  • Change Theme—Selects a different predefined appearance from the Theme menu

  • Check and Update—Checks for updates to Interaction Workspace, and updates your software if an update is available

  • Log Out—Logs off all channels and closes the application

Click Log Out (or select Log Out from the Main Menu) to log off all channels and close Interaction Workspace.

Click the Help icon to launch this help document. Click the Help drop-down menu to launch this help document or get information about Interaction Workspace.

Team Communicator

The Main Window contains the Team Communicator Quick Search field. The Quick Search field is a universal lookup tool. It might be configured to provide Universal Contact Server lookup and Team lookup, or simply Team lookup. Use the Team Communicator to launch a new interaction.

Type a name or number in the field to begin your search. When you click in the field, the Team Communicator toolbar is displayed. The toolbar enables you to search All, Favorites, and Recent contacts and internal targets. It also enables you to filter by contact or internal-target type and to group or ungroup your search results.

My Workspace

My Workspace is a tabbed view that enables you to view and manage your:

  • Channel settings.

  • Call history.

  • Statistics (KPIs).

  • Contact center statistics.

Click a tab in the following figure for information on the functionality.

Toggle My Workspace

  • Click the Workspace button to toggle the Workspace view open and closed.

  • Click the Contact button to toggle the Contact Directory view open and closed.

Manage Your Contacts

Click the Contact button to open the Contact Directory. Use this feature to search for contacts. View details about the search results in the Details Panel.

Quick Search

To search the contact directory, type the name, phone number, or e-mail address of a contact in the Quick Search field. Click the magnifying glass to search for the criteria that you have entered.

Click the X to clear the Quick Search field.

Quick Search is a begins with search.

Search results are displayed in a grid or list. Click the Show Contacts in Grid View/Show Contacts in List View toggle button to toggle back and forth between the two views of the Contact Directory.

Advanced Search

Click the Show/Hide Advanced Search toggle button to show or hide the advanced search feature.

The Advanced Search feature enables you to enter multiple criteria to refine your search. The Advanced Search pane contains drop-down lists of search criteria, such as names, e-mail addresses, and phone numbers. It also contains drop-down lists with the following modifiers that determine how the criteria will affect the search: Contains, Begins With, and Is. Use the Match Conditions options to specify whether All or Any of the search conditions that you have specified are applied.

Search results are displayed in a grid or list. Click the Show Contacts in Grid View/Show Contacts in List View toggle button to toggle back and forth between the two views of the Contact Directory.

Details Panel

You can view contact information and contact history for the currently selected contact in the Details Panel by clicking the Show Details Panel on Bottom/Hide Details Panel toggle button:

Click the down-arrow to change the Details Panel Layout to display either below or to the right of the Contact Directory:

The Information tab displays basic information about the currently selected contact.

The Contact History tab enables you to view and, if you are configured to do so, edit current and archived interactions that are associated with the currently selected contact.

If you have the correct permissions, you can edit the fields of the Contact Information view and/or the Contact History view.

View Your Messages

The message display is a scrollable list of the latest information about the status of your contact center network. It informs you of changes to the status of various network components, such as Contact Server, Statistics Server, and your Voice switch. You can also view messages that are broadcast to you.

Click the message bar or the arrow on the left-hand side to open a list of messages from your system administrator or supervisor.

Interaction Preview

If a new interaction arrives at your workstation, you are notified by the Interaction Preview interactive notification, unless you are configured for auto-answer. The preview includes attached data that enables you to decide whether to accept or reject the interaction.


Gadget

The Gadget enables you to manage your status and create new interactions. Click an area in the following figure for information on the functionality.

The Gadget is an alternate view to the Main Window. It provides only basic functionality. It does not enable you to manage your contacts.

The Gadget enables you to:

  • Manage your Ready status.

  • View contacts and internal targets, manage your favorites and launch a new interaction.

  • Manage your settings and open different views.

  • Accept or reject inbound interactions.

  • Start an Instant Messaging (IM) session with an internal target.

Manage Your Status

Click the Ready Status icon to open your status menu.

Hover the mouse pointer over the Ready Status icon to view your status summary.

The status summary includes your login name, Place, channels, and channel status, as well as your Ready state.

Managing Multiple Channels

If you are logged in to more than one channel, detailed status for each channel is available in the My Channels view.

Inactivity Timeout

Inactivity Timeout is a security feature that locks the Interaction Workspace windows on your workstation, if you do not use your mouse or keyboard for a period of time that is defined by your administrator. You must authenticate to reactivate Interaction Workspace.

View Your Contacts & Internal Targets and Launch a New Interaction

The Gadget view contains the Team Communicator Quick Search field. Enter an internal target or a contact name or phone number in the universal lookup field.

Manage Your Settings and Views

Click the Main Menu icon to open the Main Menu. You control your settings and open different views from the Main Menu.

The Main Menu contains the following functions:

  • Switch to Main Window—Toggles between the Gadget and the Main Window

  • Show Statistics Gadget—Displays the Statistics Gadget view

  • Gadget Always on Top—Keeps the Gadget on top of any other window that opens on your desktop

  • Refine Place / Channel information—Displays the Advanced Login Parameters view to change your logged-in channel parameters

  • My Workspace—Opens the My Workspace views in a new window

    • My Channels—Opens the My Channels view in a new window

    • My History—Opens the My History view in a new window

    • My Statistics—Opens the My Statistics view in a new window

    • Contact Center Statistics—Opens the Contact Center Statistics view in a new window

  • My Messages—Opens the My Messages view in a new window

  • Change Theme—Selects a different predefined appearance from the Theme menu

  • Check and Update—Checks for updates to Interaction Workspace and update your software if an update is available

  • Help—Launches this help document

  • About Interaction Workspace— Gets information about Interaction Workspace

  • Log Out—Logs off all channels and closes the application

Interaction Preview

If a new interaction arrives at your workstation, you are notified by the Interaction Preview interactive notification.


Statistics Gadget

Statistics can be viewed either in the Main Window by selecting the My Statistics tab or the Contact Center Statistics tab in your Workspace, or by using the Statistics Gadget.

The Statistics Gadget displays statistics in two ways:

  • A statistics ticker

  • A tagged statistic view

The advantage of the Statistics Gadget is that you can view your KPIs and contact center statistics continuously without opening your Workspace and clicking back and forth between tabs.

To show or hide the Statistics Gadget, select Show Statistics Gadget from the Main Menu in the Main Window or the Gadget.

The Statistics Gadget displays configured statistics in a ticking region. Each statistic is displayed for a specified period, then the next statistic is displayed.

Use the Back, Stop/Play, and Forward buttons on the control panel to scroll manually through the statistics that you are configured to view. The buttons are displayed if you are configured to view more than one contact center statistic or KPI.

Alert icons are displayed in the bottom right corner if the statistics are in a warning state or an error state. The background color of the ticker also changes to indicate warning state.

Click the Alert icon on the control panel to display only the statistics that are in warning state or error state.

Click the Tag button ( [image]) to display the current statistics in a static Tagged Statistics view.

Click the Untag button ( [image]) to close the Tagged Statistics view.

You can view your KPIs either as text or as a graph. Click the Graph View button ( [image]) to view the statistic as a graph. Click the Text View button ( [image]) to view the statistic as a graph.

You can tag more than one statistic at a time. The Tagged Statistics view expands to accommodate multiple statistics in a single view.

Click the Up and Down buttons to scroll up or down to view other tagged statistics.

Statistics Gadget Menu

To display the Statistics Gadget Menu, hover your mouse pointer over the Statistics Gadget. Click the Menu button ( [image]) to open the menu.

  • Hide My Statistics/Show My Statistics—Shows only the contact center statistics, or shows both My Statistics and the contact center statistics

  • Hide Contact Center Statistics/Show Contact Center Statistics—Shows only My Statistics or shows both My Statistics and the contact center statistics

  • Always on Top—Keeps the Statistics Gadget on top of all other windows

  • Show My Statistics on Main Menu—Opens My Workspace on the Main Window and shows the My Statistics tab

  • Hide Contact Center Statistics on Main Menu—Opens My Workspace on the Main Window and shows the contact center statistics tab

  • Close Statistics Gadget—Closes the Statistics Gadget (including the Tagged Statistics stack)


Interaction Preview

Interaction Preview displays an interactive notification that enables you to preview a new inbound interaction. The preview includes attached data that enables you to decide whether to accept or reject the interaction. The Case Data that is displayed in your Interaction Preview depends on the items configured by your system administrator.

When a new inbound interaction is routed to your workstation an interactive Interaction Preview appears in the bottom right corner of your display. Depending on how your system is configured, the preview might contain some or all of the following information about the interaction:

  • Reason for the interaction

  • Call type

  • Contact type/Segment (for example, Gold)

  • Priority

  • Caller name or number

  • Origin or Queue

  • Time in queue (duration)

Use Cases

For a regular inbound call, if you are not configured for auto-answer, your phone set rings; you can preview the call, before accepting or rejecting it, by reviewing the information provided by the Interaction Preview. If you reject the call, it is sent to another agent, routing point, or queue.

For an inbound call on a VoIP/SIP system, you receive notification of the call. You can choose to view a call summary before accepting or rejecting the call. If you accept the interaction, then the call arrives on your phone set, with or without preview for ringing. If you reject the call it is sent to another agent, routing point, or queue.

Accepting or Rejecting the Interaction

Depending on how your system is configured, you might have some or all of the following choices when the Interaction Preview is displayed on your desktop:

  • Accept—Open the interaction in the Interaction view.

  • Reject—Return the interaction to another agent, routing point, or queue.


Voice Interaction

The Voice Interaction window enables you to view all the information that is necessary to handle a voice interaction with a customer or an internal target. The view has tabs that enable you to handle more than one interaction simultaneously.

The Voice Interaction window enables you to handle many call-related tasks, including:

  • Consultation and transfer/conference with an internal target or with a contact.

Note: If you want to initiate an internal voice interaction to speak to another agent without transferring or conferencing the external call, use the Team Communicator.

  • Viewing and managing contact history.

  • Viewing and managing contact information.

  • Solving stuck calls.

  • Recording calls (VoIP/SIP only).

  • Adjusting microphone and speaker volume (embedded Interaction Workspace SIP Endpoint only).

The contents that are displayed to you in this view depend on your role and on the case information that is available about the contact.

Click an area in the following figure for information on the functionality.

This view is composed of many atomic views that together provide all the features that you need to handle a voice interaction. You can use this view to:

  • View the status of the call.

  • End the call, hold the call, and send DTMF.

  • For VoIP-/SIP-enabled agents, additional call actions are available.

The VoIP/SIP call actions enable you to:

    • Record the call.

    • Stop recording the call.

    • Mute the microphone.

    • Unmute the microphone.

    • Mute the speaker (embedded Interaction Workspace SIP Endpoint only).

    • Unmute the speaker (embedded Interaction Workspace SIP Endpoint only).

    • Adjust the microphone volume (embedded Interaction Workspace SIP Endpoint only).

    • Adjust the speaker volume (embedded Interaction Workspace SIP Endpoint only).

  • Set a disposition code.

  • Select Mark Done for the current interaction.

  • Use the Notepad to attach a note to the call history.

  • View Case Data (attached data) for the current call.

  • View the history of the current call.

  • View contact information and history.

  • Initiate a voice consultation to transfer or conference the call.

  • Initiate an Instant Messaging (IM) consultation that passes contextual information to the IM internal target. After you initiate an IM consultation session, you can transition the IM session to a voice consultation.

Note: Your administrator may have added custom views to enhance your use of the Voice Interaction view.

Call Status

The Call status area of the Voice Interaction view provides the contact's phone number or the internal target's extension, and the status of the call. Possible call statuses might include the following:

  • Connected—You are actively talking to the contact or internal target.

  • Ended—The call has been ended by either you or the contact.

  • On Hold—The call is in a state where the contact is unable to hear you, and you are not able to hear the contact when they are on hold.

  • Establishing—You are trying to connect to an internal target or queue for a voice consultation.

  • Establishing on hold—The call is put on hold before the internal target answers, so that the internal target will be on hold when the call is answered.

Call Actions

Call actions are standard controls for voice interactions. Interaction Workspace enables you to perform the following call actions:

  • End Call—Click End Call ( [image]) to disconnect the call.

  • Hold Call—Click Hold ( [image]) to place the active call on hold. If a call is on hold, you cannot hear the contact and the contact cannot hear you.

  • Resume Call—Click Resume Call ( [image]) to reconnect to a call that is on hold. You will be able to hear the contact, and the contact will be able to hear you.

  • Send DTMF—You can attach numerical data to a call by entering dual-tone multi-frequency (DTMF) digits into the call case history. Click the keypad button ( [image]) to open the DTMF keypad:

Type numbers into the number field or click the keypad numbers to enter numbers.

  • Record the Call—For VoIP/SIP enabled agents only. Click Record the Call ( [image]) to record a call.

  • Stop Recording the Call—For VoIP/SIP enabled agents only. Click Stop Recording the Call ( [image]) to stop recording a call that you are currently recording.

  • Mute the Microphone—For VoIP/SIP enabled agents only. The party to whom you are connected cannot hear you when the microphone in your headset or on your workstation is muted. There are two ways to access the Mute the Microphone button. Either click Mute microphone ( [image]) on the Volume Properties control, or click to open the Volume Properties control menu, and then click Mute the microphone beside the Microphone Volume control. When your microphone is muted, a small red circle with a slash is displayed beside the microphone icon.

  • Mute the Speaker—For VoIP-/SIP-enabled agents with embedded Interaction Workspace SIP Endpoint only. To access the Mute the Speaker button, click to open the Volume Properties control menu, and click then Mute the speaker beside the Speaker Volume control. When your speaker is muted, a small red circle with a slash is displayed beside the speaker icon.

  • Adjust Microphone Volume—For VoIP-/SIP-enabled agents with embedded Interaction Workspace SIP Endpoint only. To access the Microphone volume control, click to open the Volume Properties control menu, and then move the Volume control slider left to decrease the volume and right to increase the volume.

  • Adjust Speaker Volume—For VoIP-/SIP-enabled agents with embedded Interaction Workspace SIP Endpoint only. To access the Speaker Volume control, click to open the Volume Properties control menu, and then move the Volume control slider left to decrease the volume and right to increase the volume.

  • Mark Done—Complete a call and close the Voice Interaction window by clicking Mark Done ( [image]). You might be configured to specify a disposition code before you can click Mark Done.

Contact Information and History

Use the Show/Hide Information view menu button ( [image]) to show or hide contact information and contact history for the current contact.

The Contact Information view enables you to view and edit contact information. If the contact is already in the Contact database, their information will be displayed in this view. Use the fields to add or modify contact information. For more information about the Information view, see Contact Directory.

The Contact History view enables you to view information about past interactions with the current contact if the contact is already in the contact database. Use the search tools to find specific interactions. For more information about the Contact History view see: Contact History.

Stuck Calls

If you are on a call and are unable to close the Interaction window because the call has become stuck in the system, right-click the tab in the Interaction window that represents the call, and select Force Close This Case from the shortcut menu. You will be prompted to confirm that you want to force-close the call.


Voice Tasks Overview

Voice tasks enable you to initiate interactions with internal targets.

  • Internal Voice Interaction —Enables you to start a voice interaction with an internal target.

  • Voice Consult —Enables you to consult with another agent about the current voice interaction, before you initiate a conference with the agent or transfer to the agent.


Internal Voice Interaction

The Voice Interaction Window enables you to start a voice interaction with an internal target. You can communicate with other agents or internal targets by using the Team Communicator toolbar in the Main Window view or your Gadget view, or from the Voice Interaction view while you are handling an active call with a Contact.

Communicating with Another Agent

The Voice Interaction Window enables you to call another agent or internal target. Use the Team Communicator to find an internal-target agent.

From the Internal Target Action menu, select Call <target name>. If the internal target accepts your invitation, the status in the Voice Interaction Window changes to Connected. You can now talk to the internal target.

You have access to the same controls and functionality when you are talking to an internal target as when you are talking to a contact. You can do the following:

  • Check the call status.

  • Perform call actions, such as ending the call, putting the call on hold, sending DTMF, or transferring/conferencing the call. For VoIP-/SIP-enabled agents, the following additional call actions are available: record the call, mute and unmute the call, and adjust the microphone and speaker volumes. Refer to Voice Interactions for a list of additional actions and limitations.

  • View the call history.

  • Set a disposition code.

Communicating with Another Agent While Handling an Active Interaction

Interaction Workspace enables you to handle more than one voice interaction simultaneously. For example, you can put an active call on hold and launch a new voice interaction. This is done, typically, to consult with another agent or internal target to whom you do not intend to transfer or conference the active call.

While you are on an active call, use the Team Communicator toolbar in the Main Window or in the Gadget to launch a new voice interaction.

You can also initiate an IM session with an internal target from the active call. IM sessions that are started from an active call enable the internal target to view case data and contact information and history. You can transition an internal IM session to a voice-consultation call.

If you start a new voice interaction, the original active call is put on hold, and you are connected to the internal target. To resume the original call, click the Resume Call button on the original voice interaction window.

While the original call is on hold, you can connect to the internal- target call. The standard call actions are available.


Voice Consult

The Voice Consult functionality enables you to consult with an internal target or a contact about the current voice interaction before you initiate a conference with an internal target or before you transfer to an internal target. You can also launch an Instant Messaging (IM) session with another agent to consult about the call; after you start a consulting IM session, you can transition the IM session to a voice consultation or transfer.

Consult and Transfer/Conference with an Internal Target or a Contact

The Voice Interaction view enables you to transfer or conference your current voice call to an internal target or a contact.

Use the Team Communicator to find an internal target or a contact.

Select Initiate Transfer from the Action menu to talk to the transfer target prior to transferring the call to the internal target or another contact.

Or, select Initiate Conference from the Action menu to talk to the conference target prior to conferencing with the contact or internal target.

After the transfer or conference is initiated, the contact or internal target is put on hold, and the call is presented to the transfer/conference target. Look at the Call Status indicators next to the name of the party to determine whether the contact or internal is on hold and to determine when the consultation request changes from Establishing to Connected.

If the target accepts the consultation, you are connected and you and the conference target can speak to each other. The contact remains on hold.

You can perform any of the following functions by using the Voice Consult toolbar:

  • Complete the transfer ( [image]).

  • Complete the conference ( [image]).

  • Change the transfer to a conference ( [image]) or the conference to a transfer ( [image]).

  • Alternate (toggle) between the contact or internal target and the conference/transfer target by clicking Retrieve Call ( [image]). The other party is put on hold until you toggle back or complete the transfer/conference.

  • End the call to the transfer/conference target and resume the call with the Contact or internal target ( [image]).

  • Send dual tone multi frequency (DTMF) to the transfer/conference target by using the DTMF keypad ( [image]).

  • For VoIP-/SIP-enabled agents, the following additional call actions are available: record the call, mute and unmute the call, and adjust the microphone and speaker volumes. Refer to Voice Interactions for a list of additional actions and limitations.

Completing the Transfer

If you click Complete the Transfer ( [image]), the contact or internal target is connected to the transfer target, and the voice-call status changes to Ended in the Voice Interaction view.

Complete the call by clicking End Call ( [image]). Close the Voice Interaction window by clicking Mark Done ( [image]). You might be configured to specify a disposition code before you can click Mark Done.

Completing the Conference

If you click Complete the Conference ( [image]), the contact or internal target is connected to the call with conference target, and the voice-call status changes to Connected in the Voice Interaction view.

During the conference, you can perform the following actions:

  • Disable and enable listening.

  • Remove a party from the conference.

  • Use the Notepad to attach a note to the call history.

  • Complete the call by clicking End Call ( [image]).

  • Close the Voice Interaction window by clicking Mark Done ( [image]). You might be configured to specify a disposition code before you can click Mark Done.

  • For VoIP-/SIP-enabled agents, the following additional call actions are available: record the call, mute and unmute the call, and adjust the microphone and speaker volumes. Refer to Voice Interactions for a list of additional actions and limitations.

Disabling and Enabling Listening

You might be configured to disable and enable listening by parties in a conference. Click the Party Action menu on the Voice Interaction view and select Listen Disconnect to disable listening for that party. The party can still talk, but the party cannot hear what you and the other party say. When Listen Disconnect is active for a party, a small red circle with a slash is displayed beside the party icon.

Click the Party Action menu on the Voice Interaction view and select Listen Reconnect to enable listening for that party. The party can now hear what the other two parties are saying.

Removing a Party from the Conference

You might be configured to remove a party from a conference. Click the Party Action menu on the Voice Interaction view and select Delete From Conference to remove that party from the conference. You can still talk to the party who was not removed from the conference.


Internal IM

Internal Instant Messaging

This feature enables you to send an Instant Message (IM) to another agent (internal target) or receive an IM from an internal target. If you start the IM from an active Voice Interaction, you can share contact information with the IM target. You can transition from an IM consultation session to a voice consultation.

Note: You must be configured to use Internal Instant Messaging.

Sending an IM

Use the Team Communicator on your Main Window view or your Gadget view to find the internal target with whom you want to start an IM session.

From the Internal Target Action menu, select Send an Instant Message <target name>.

The IM session is started in the Interaction window. The target is presented with an interactive notification that enables them to accept of reject your invitation to start an Instant Messaging session. You are notified if the target accepts, rejects, or lets your invitation time-out.

Click on an area in the figure below for information on the functionality.

The tab at the top of the Interaction window indicates the agent logon of the internal target with whom you are in an IM session.

The Status indicator displays the agent logon of the internal target with whom you are in an IM session and the status of the session. The status is either Connected or Ended.

The large text field contains a transcript of the IM session. Your logon and the logon of the Internal target are displayed above the messages in different colors to enable you to determine who is writing. Each entry is marked with a timestamp. The logons appear above the text that the participant entered.

Enter your message in the field next to the Send button. Click Send or press the Enter key on your keyboard to send your message to the internal target.

When your session is complete, click End Session ( [image]) to disconnect the IM session.

Click the Close button ( [image]) to close the IM session window.

Receiving an IM

If another agent wants to start an Instant Message session with you, the other agent selects your name from the Team Communicator and then selects Send an Instant Message from the Action menu.

An interactive notification is displayed above the system tray and the interaction window is minimized in your task bar.

Click Accept to display the new IM interaction in your Interaction window. Click Reject to refuse the IM interaction. If you do not click Accept or Reject, the interactive notification is dismissed, but the pending IM interaction remains in your task bar until you display it.

Click on an area in the figure below for information on the functionality:

The tab at the top of the Interaction window indicates the agent logon of the internal caller with whom you are in an IM session.

The Status indicator displays the agent logon of the internal caller with whom you are in an IM session and the status of the session. The status is either Connected or Ended.

The large text field contains a transcript of the IM session. Your logon and the logon of the Internal caller are displayed above the messages in different colors to enable you to determine who is writing. Each entry is marked with a timestamp. The logons appear above the text that the participant entered.

Enter your message in the field beside the Send button. Click Send or press the Enter key on your keyboard to send your message to the internal target.

When your session is complete, click End Session ( [image]) to disconnect the IM session.

Click the Close button ( [image]) to close the IM session window.

Starting an IM Session from an Active Voice Interaction

Use the Team Communicator on your active Voice Interaction view to find the internal contact with whom you want to start an IM session.

From the Internal Target Action menu, select Send an Instant Message.

A new Internal IM message window is displayed that has the status Not Connected.

To initiate an Internal IM session, enter a message and click Send. To cancel the IM session, click the Close button ( [image]) .

The internal target receives an interactive notification of your instant message that includes your initial message.

If the internal target accepts your invitation, you and the target are engaged in an internal IM session. All the Case Data about the interaction with the contact is displayed in the IM interaction window of your internal target. The Contact Information and Contact History tabs are available to enable your internal target to view information about your contact and to search the contact history database. The Information tab is read-only.

Your IM interaction window does not contain the Contact area.

You can do the following in the Internal IM interaction window:

  • Enter messages in the message field.

  • Click Send to send the message to the internal target.

  • Review the message transcript in the message transcript area.

  • Click End to terminate your internal IM.

Transitioning to a Voice Consultation

If you are engaged in an internal IM session with an internal target that you initiated from the current voice interaction, you can transition the IM session to a voice consultation.

In the voice interaction window, click in the Team Communicator. The internal target with whom you are engaged in an IM session is presented as the default selection unless you enter something in the search field or click on any of the filter buttons.

Proceed with the voice consultation procedure by selecting one of the following options from the Active Consultations view:

  • Initiate Transfer

  • One Step Transfer

  • Initiate Conference

  • One Step Conference


Atomic Views Overview

Atomic views are typically components of composite views, but each can also be a stand-alone window. Composite views are windows that contain the component atomic views that are required to complete a task such as handling an inbound voice interaction.

Atomic views enable you to complete specific tasks that relate to your task in the composite view. For example, the Call History atomic view enables you to view and query information about the contact with whom you are interacting, based on the content of the inbound-voice-interaction window.

Agent Tools

  • My Status —Provides a universal status monitor for all of your media channels.

  • Team Communicator —Enables you to contact other agents or contact center targets, determine the status of other agents or call center targets, or launch outgoing interactions.

  • Inactivity Timeout —A security feature that locks the Interaction Workspace windows on your workstation, if you do not use your mouse or keyboard for a period of time that is defined by your administrator. You must authenticate to reactivate Interaction Workspace.

Statistics, Status, and Other Information

  • Contact Center Statistics —The list of statistics about the switches, Routing Points, queues, and other contact center resources.

  • My Statistics —The list of your Key Performance Indicators (KPIs).

  • My Messages —Provides you with up-to-date information on the status of your contact center, changes that are related to your activities, and business messages that are sent by your leads.

Functions and Information for Contacts

  • Contact History —Enables you to view and manage previous interactions with a contact that you have selected from the Contact Directory or from the Information view of the current voice interaction.

  • Call History —Provides you with specific information about where the call came from, who the caller is, and how long the call has been active. It is part of the Voice Interaction view.

  • Case Data —Provides you with critical information about the active interaction in the Voice Interaction view.

  • Contact Directory —Enables you to manage contact information.

Functions and Information for Interactions

  • Change Contact —Enables you to assign an interaction to a different contact.

  • Disposition Code —Enables you to assign one or more codes to an ongoing or terminated interaction that qualifies the outcome of the interaction.

  • My History —Enables you to view and manage your previous interactions with a contact.

  • Notepad —Enables you to enter comments about the current interaction or about a selected interaction in the history database.


My Status

The My Status view provides a universal status monitor in the Main Window for all of your media channels.

You can view your status universally and by media type. Hover the mouse pointer over the Ready Status icon to view your status summary for each media to which you are logged in. For the voice channel, you can also forward your calls to a different extension.

Use the toolbar to apply actions to selected media types. You can apply the following actions:

  • Log On/Log Off

  • DND on

  • Not ready (reason)/Ready

  • After call work

The following statuses are available for each of the media types to which you are logged in:

  • Out of service

  • Logged Off

  • DND is on

  • Not ready (reason)/Ready

Note: You might be locked out of Interaction Workspace and have your status set to Not Ready, if you do not use your keyboard or mouse for an inactivity period that is defined by your administrator. If you are locked out of Interaction Workspace, you must reauthenticate and reset your status to Ready to receive new interactions.

My Channels Tab

Use the My Channels tab to view and modify which interaction channels you are using. If you are using the Gadget, this information is available from the My Channels view.

Right-click a channel in either the Status column or the Forward column, to open the Action menu for that channel and column. Use the Action menu to perform the following actions:

  • Change your Ready status on a channel

  • Log on to or log off from a channel

  • Turn on/off your Do Not Disturb status

  • Forward calls that are directed to your extension to another extension on the voice switch/channel

Forwarding Calls

To forward calls to a different extension on the selected media channel, right-click in the Forward column and click Forward.

This action opens the Forward dialog box. Enter the extension to which you want to forward your calls and click Apply. Click Cancel to return to the My Channels tab without forwarding your calls.

If you have an active forward set and you want to disable it, right-click in the Forward column, and select Cancel Forward.

In the Cancel Forward dialog box, Click Apply to cancel the forward. To keep the forward active, click Cancel; this removes the active forward and changes the Forward status to No Active Forward.

Ready Status Icon

Click the Ready Status icon to open your status menu.

Select your status from the menu. The contents of this menu are defined by your administrator. Status choices might include Ready, Not Ready, Do Not Disturb, After Call Work, Not Ready with a reason, and Log On/Log Off.

Selections that you make from this menu are applied to all of the media to which you are logged in.


Team Communicator

The Team Communicator is a common service that is available in the following views:

  • Main Window

  • Gadget view

  • Voice Interaction window

The Team Communicator enables you to initiate any type of communication with internal or external resources to help resolve a particular customer case or for other purposes, such as a follow-up call or a meeting.

The Team Communicator is a service that enables you to find an internal target or a contact for communication and initiate an interaction.

Main Window Team Communicator

The Main Window contains the Team Communicator Quick Search field. The Quick Search field is a universal-lookup tool; it can search both the contact database and the internal-target directory. Your system administrator might have configure it to provide universal contact lookup or simply to provide internal-target lookup.

Enter a name, phone number, or other keyword in the field to begin your search. When you click in the field, the Team Communicator toolbar is displayed. The toolbar enables you to search all, favorites, and recent contacts and internal targets. It also enables you to filter by contact or internal target type and to group or ungroup your search results.

To make a direct phone call, enter the phone number, and click Call.

Launch a New Interaction

To launch a new interaction (internal Instant Messaging or external/internal voice interaction), enter the name of an internal target (agent, skill, group, queue, or Routing Point) or a contact name or phone number in the universal-lookup field.

As you type, Interaction Workspace searches the internal target and contact databases and lists potential contacts and internal targets. The system opens a view that lists potential contacts and internal targets. The status of each internal target is displayed.

You can use the pop-up view to do the following:

  • Filter and sort the list of search results.

  • Perform actions on a selected contact such as calling, sending an instant message, or saving as a favorite.

Filtering and Sorting the List of Search Results

Search results are displayed in a list. The search is a “keyword” search that searches each field of the contact database for the word or words (name, phone number, e-mail address, or other criteria) that you provide in the search field. Each field of the database is searched by using a “starts-with” search for the keywords that you provide.

Results are returned in a list that is sorted according to the rules of Lucene scoring. In most cases, you can refine the search results by using the filtering features of the list view. For example, you can filter your search results so that only contacts or favorites are displayed.

You can filter search results by result-type by using the result-type drop-down list.

Result types might include the following:

  • All types

  • Agent

  • Agent Group

  • Contact

  • Queue

  • Routing Point

  • Skill

Click the Sort Results by Type/Categories icon ( [image]) to arrange the search results by type/categories.

To view only contacts, click the Matching Contacts link. The Contact Directory view is displayed.

Below the Quick Search field are five controls that you can use to list previous contacts quickly.

From left to right, the buttons are the following:

  • Search All—Click to select from all matching internal targets and contacts. Does not affect the sort order.

  • Show Favorites Only—Click to show only contacts/internal targets that you have flagged as favorites. Sort is by category or type.

  • Show Recent Calls—Click to select from the last 1 to 10 contacts/internal targets that you have directly dialed. Sort is by date.

  • Filter by Type—Select the type to search, including Agent, Contact, Routing Point, Skill, Queue, and Agent Group.

  • Show/Hide Types—Click to show or hide types.

Actions

Click the Action Menu pop-up list next to the internal target or contact that you want to find. This example shows the Action Menu for a contact:

This example shows the Action Menu for an internal target:

From the list, you can:

  • Select the kind of interaction that you want to launch (external voice, internal voice, or internal instant message).

  • Select Add to Favorites to add the contact to your list of favorite contacts.

Viewing Contact Information

Hover your mouse pointer over the contact icon to view additional contact information. The Contact Summary pop-up view is displayed briefly to enable you to view critical information, such as the following:

  • Contact name

  • Contact information

  • Other Business Attributes

Click the telephone icon to launch a voice interaction.

Gadget Team Communicator

Like the Main Window, the Gadget view contains the Team Communicator Quick Search field.

The Team Communicator functions the same in the Gadget view as it does in the Main Window view, except that the Matching Contacts link does not display the Contact Directory view.


Activity Timeout

Inactivity Timeout

For your security and the security of your company, Interaction Workspace might be configured by your administrator to become locked after a specific period of time during which neither your mouse nor keyboard is used. This feature protects you from unwanted system access, should you walk away from your workstation without locking it.

When the specified time period of inactivity is reached, all of the open Interaction Workspace windows on your desktop are minimized, and the Reauthenticate view is displayed.

To unlock Interaction Workspace, you must enter in the Reauthenticate view the password that was used to log in the locked application, then click Authenticate. Click Cancel to log off all channels and exit the application.

Your status might be set to Not Ready. To change your status, use the My Status view.

The following windows are minimized when the application is locked:

  • Main window

  • Gadget

  • Statistic Gadget

  • Interaction window

  • My Channels

  • My History

  • My Statistics

  • My Contact Center Statistics

  • My Messages

The following windows are locked but visible when the application is locked:

  • Interaction notifications

  • System tray icon

System notices are not locked. When Interaction Workspace times out, a system-message notification is displayed to alert you that Interaction Workspace has timed out.

Click Show to view the message. Click Dismiss to dismiss the notification.

Click OK to dismiss the message.


Call Center Statistics

Contact Center Statistics

The list of statistics about the Routing Points, Queues, and other contact-center objects is displayed in the Contact Center Statistics tab of the Main Window. If you are using the Gadget, this information is available from the Contact Center Statistics view. You can also view the contact center statistics in the Statistics Gadget.

The Contact Center Statistics tab displays statistics that summarize the state of various conditions that are monitored by your call center, such as the percentage of abandoned calls, the average call-waiting time, and the number of interactions that are in queue.

The following columns of information are available for each monitored object:

  • Contact Center Resource—The name or location of the object

  • Description—A description of the call center statistic

  • Value—The value of the contact center statistic

Click column heads to change the sort order of the objects.

Right-click in the Contact Center Statistics view to display the Statistics menu.

Use the Statistics menu to do the following:

  • Show or hide statistics

  • Show only alerting statistics or show all statistics

Note: Your Key Performance Indicators (KPIs) are displayed in the My Statistics tab.


My KPIs

My Statistics

The My Statistics tab of the Main Window displays the list of your Key Performance Indicators (KPIs). If you are using the Gadget, this information is available from the My Statistics view. You can also view your KPIs in the Statistics Gadget.

The KPIs that are displayed are configured by your system administrator. The statistics defined as KPIs could also be evaluated for the agent groups of which you are a member. Your performance is displayed in the Personal column, and the statistic value for each Agent Group is displayed in a column with the name of the agent group as the column header.

Click column heads to change the sort order of the KPIs.

The My Statistics tab displays your current KPIs and a summary of the KPIs of your work group(s). The My Statistics tab enables you to compare your performance with the overall performance of the group(s) to which you belong.

A warning icon is displayed in the left most column of the row. The warning icon is displayed if the evaluation of your performance for the KPI goes beyond the expected warning level for the KPI.

An error icon might be displayed next to a KPI if the evaluation of the performance is below the expected error level for the KPI.

Right-click in the My Statistics tab to access the shortcut menu that enables you to show/hide columns and KPIs, and to turn on or off KPI filtering to show only those that have alerts.

The My Statistics menu enables you to specify which KPIs are displayed. Select a KPI to show or hide it. KPIs that are displayed have a check mark next to them.

The Agent Groups menu enables you to show or hide the column that contains the KPI values for the agent group. Select a group to show or hide it. Agent Groups that are displayed have a check mark next to them.

Select Show All statistics to display all the KPIs. Select Show Only Alerting Statistics to display only KPIs that have warnings or errors. This menu does not affect the columns that are displayed.

Note: Statistics about the Routing Points, Queues, and so on, are displayed in the Contact Center Statistics tab.

If a statistic has been configured incorrectly, the background of the statistic becomes red and the error icon is displayed. You should report errors immediately. The reason for the problem is displayed in a tooltip if you hover your mouse pointer over the problematic statistic row.


My Messages

Your lead or your administrator can send messages directly to you or your group by using the Interaction Workspace Broadcast Message function. You might receive business-type messages or system-type messages.

Examples of business messages include:

  • Performance reminders

  • Instructions for you or your workgroup

  • Information about upcoming events or requirements

Examples of system messages include:

  • Switch is out of service

  • Channel voice is out of/back in service

  • The Universal Contact Server is out of service

Message Preview

If you receive a message, a Message Preview interactive notification is displayed on your desktop.

Message priority might be indicated by one or more of the following methods:

  • Audio cue

  • Color border around the message preview

  • Message type indicator graphic

  • Priority text (for example: High)

If a Message Preview interactive notification is displayed on your desktop, you can do one of the following:

  • Click Show—Displays the message window. The message is also displayed in the My Messages area of the Main Window. The message is marked as Read.

  • Click Dismiss—Closes the Message Preview. The message is displayed in the My Messages area of the Main Window. The message is marked as Unread.

  • Do nothing—The Message Preview is dismissed automatically after a time interval that is defined by your system administrator; the message is displayed in the My Messages area of the Main Window. The message is marked as Unread. If you are using the Gadget, the message is also accessible by using the Gadget Main Menu to open the My Messages window.

Message Window

You can display the Message Window by clicking Show in the Message Preview or by double-clicking on the message in the Messages area of the Main Window.

The Message Window contains the full content of a message that has been directed to you or your group. As well as displaying the content of the message, the Message Window also might contain the following information:

  • Message Type—This information might be conveyed by text, the title bar, and/or an icon.

  • Subject

  • Sender

  • Priority—This information might be conveyed by text and/or by the color of the border that surrounds the information about the message.

  • Date

  • Topic (target audience)

  • Other data that is defined by your administrator

My Messages

The My Messages view of the Main Window, or the My Messages window that is opened from the Gadget, provides you with up-to-date information on the status of your contact center, changes related to your activities, and business messages sent by your leads.

To open the My Messages view in the Main Window, click on the Message bar at the bottom of the Main Window. Click the Message bar again to close the My Messages view.

In the Messages view, the messages are displayed in a scrolling list with the most recent message on the top.


Contact History

The Contact History view enables you to view and manage previous interactions with a contact that you have selected from the contact directory or from the Information view of the current voice interaction.

Use the History view to do the following:

  • Find interactions for the current contact or the currently selected contact.

  • Perform the following actions on selected interactions:

    • Mark Done past interactions that are still open.

    • Change Contact for the selected interaction if the status is In Progress.

  • View information about the selected interaction.

Click an area in the following figure for information on the functionality.

Finding Interactions

Interactions are stored with various attributes. You can use these attributes to find specific interactions. Search results are shown in the interactions table. You can sort, filter, and perform actions on the interactions that you select.

Quick Search

The Quick Search enables you to search for any attribute that begins with the criteria you enter. For example, you could search for a disposition code of "Transferred" or find all interactions that are related to the subject of "billing".

To search the contact history, enter into the Quick Search field the attribute value for which you are searching. Quick Search is a begins-with keyword search. You can us the standard Windows wildcard characters to expand your search.

Click the magnifying glass to search for the value that you have entered. Click the X to clear the Quick Search field.

Advanced Search

Click the Show/Hide Advanced Search toggle button to show or hide the advanced search feature.

The Advanced Search feature enables you to use multiple criteria to refine your search. The Advanced Search pane contains drop-down lists of search criteria, such as Status, Start Date, and End Date.

From the column of search modifiers to the right of the attribute column, choose how the search string should be considered.

Menus for pre-defined fields, such as Status, contain the pre-defined field names from the database—for example, All, Done, and In progress.

Menus for date fields contains the following choices:

  • On—The exact date.

  • On or after—The specified date or any date after.

  • Before—Before the specified date.

Menus for text fields contains the following choices:

  • Contains—The specified text string occurs anywhere in the selected criterion.

  • Begins With—The specified text string occurs at the beginning of the selected criterion.

  • Is—The specified text string exactly matches the criterion.

Enter the search value in the text field on the right side. If your criterion is a start date or end date, use the calendar pop-up window to specify the date.

Note: You can use standard Windows wildcard characters in your specified search strings.

Use the Match Conditions options to specify whether All or Any of the search conditions that you have specified are applied.

To search based on the Start Date, use the calendar icon ( [image]) to select a date, or enter the date in the format that conforms to your local day and time display preferences.

Filtering

The History view filtering controls enable you to refine your search. The chronology slider enables you to search the contact history by time interval.

The slider has five positions that represent different time intervals:

  • Arch.—Search the database for messages that have been archived

  • All—Search the entire database from the most recent interaction back to the earliest interaction

  • 1M—Search the database from the most recent interaction back to one month ago

  • 1W—Search the database from the most recent interaction back to one week ago

  • 1D—Search the database from the most recent interaction back to one day ago

The Interaction Type filters enable you to select and deselect the types of interactions that are to be searched. Click the Filter menu to select the interaction types that you want to search (Voice, E-mail, and Chat/Instant Message):

When a filter is on, the a check mark appears beside it in the Filter menu.

Sorting

The search results are displayed in the interactions table. The columns in this table are defined by your system administrator. Commonly, the table displays interactions that contain the following attributes: Status, Subject, and Start Date.

Actions

Interaction Workspace enables you to perform actions on interactions that you have selected in the interactions table. You must be configured to perform contact management by your system administrator.

Actions that you might be configured for include the following:

  • Marking Done

  • Changing Contact

Completing Interactions

To complete an interaction, select it in the Interactions table, and click Mark Done. The status of the interaction changes to Done.

Changing Contact

To assign an interaction with the status of In Progress to a different contact, select it in the Interactions table and click Change Contact.

About the Selected Interaction

Interaction Workspace enables you to view information details about interactions that you have selected in the History view. The Show Details Panel on Bottom/Hide Details Panel button ( [image]) enables you to specify how the Details panel is displayed. Click the Show Details Panel on Bottom/Hide Details Panel button to choose one of the following views:

  • —Displays the Details panel to the right of the workspace area.

  • —Displays the Details panel below the workspace area.

  • —Hides the Details panel.

The Details panel contains three tabs. Click an area in the following figure for information on the functionality.

Details

The Details tab might display information such as the following:

  • Phone number

  • Origin of the call—for example, the name of the agent who transferred the call (this information is stored in the Note tab)

  • Time—Elapsed time between the interaction connected event and the markdone event by the agent or the system

Note

The Note is a feature that enables you to enter comments about the current interaction or read comments that have been entered in the past. The comments are stored as a part of the history for the contact. The contents of the Note are available to any agent who views the contact's history.

Case Data

Case Data (attached data) provides information—such as an account number, type of service, and disposition—about an interaction. Your system administrator configures which attached data is displayed.


Call History

The Call History view provides you with specific information about where the call came from, who the caller is, and how long the call has been active.

  • Caller—If the caller is in the contact database, then the name of the caller is displayed. The display might also show the caller's number or "Unknown".

  • Origin—The history of the call. States whether the call was inbound or transferred.

  • Duration—The time in hours, minutes, and seconds that you have been handling the call.

The Call History view is part of the Voice Interaction window:

The Call History view is also part of the History tab of the Contact Directory view:


Case Data

The Case Data (attached data) view provides information about an interaction&emdash;for example, an account number or type of service. Your system administrator configures which attached data is displayed.

The following are examples of the type of critical information that the Case Data view provides about the active interaction:

  • Contact name

  • Contact type

  • Call type

  • Account information

  • Subject

The Case Data view is part of the Voice Interaction view and the History tab of the Contact Directory view.


Contact Directory

The Contact Directory view enables you to manage contact information.

The Contact Directory enables you to do the following:

  • Find contacts

  • Manage or call contacts by using Contact Actions

The following are examples of the type of the fields that are available in the Contact Directory view:

  • Title

  • First name

  • Last name

  • Address

  • E-mail address

  • Phone number

  • Other criteria

To view the contact directory, click the Contact button on the Interaction Workspace Main Window. The Contact Directory view is contained in a tab that opens below the Main Window.

Contact Actions

Select a contact from the search results, list view, or grid view to perform any of the following actions:

  • Delete the contact

  • Call the contact

  • Merge or unmerge the contact

  • View contact information

  • View contact history

You can double-click a contact in the search results, list view, or grid view to open the Contact information and history views.

Finding Contacts

You can search the contact database in one of two ways:

  • Quick Search

  • Advanced Search

Quick Search

To search the contact directory, type the name, phone number, or e-mail address of a contact in the Quick Search field. Quick Search is a begins with search. You can use the standard Windows wildcard characters to expand your search.

Click the magnifying glass to search for the value that you have entered.

The contact database is search based on your criteria and the search results are displayed in the Contact Directory.

Click the X to clear the Quick Search field.

Advanced Search

Click the Add Condition link to add more search criteria. Remove criteria from consideration by clicking on the X beside the option.

Click the magnifying glass to search for the value(s) that you have entered.

The contact database is search based on your criteria and the search results are displayed in the Contact Directory.

Click the X to clear all search field.

Search Results

Search results are displayed in a list or in a tabular grid.

Use the Show Contacts in Grid/List View button to toggle back and forth between the two views.

Page Controls

Page through the list of search results by doing any of the following:

  • Click the Go to the Next Page button ( [image]) to view the next page.

  • Click the Go to the Previous Page button ( [image]) to view the previous page.

  • Click the Go to First Page button ( [image]) to return to the start of the list of search results.

  • Enter a page number in the Page field.

Note: The page number must fall within the range of pages.

  • Specify the number of items that are displayed on each page by using the per page drop-down list.

List View

Click the Show Contacts in List View button ( [image]) to display the Contact Directory List view.

The List view displays an unsorted list of all the contacts in the contact database that match the search criteria.

The search is a “keyword” search that searches each field of the contact database for the word or words (name, phone number, e-mail address, or other criteria) that you provide in the search field. Each field of the database is searched by using a “starts-with” search for the keyword(s) that you provide.

Results are returned in a list that is sorted according to the rules of Lucene scoring. In most cases, you can refine the search results by using the filtering features of the list view. For example, you can filter your search results so that only contacts or favorites are displayed.

Use the page controls to navigate the list. Click on a contact to select it for an action. Use the Grid view to sort the search results based on contact attributes.

Grid View

Click the Show Contacts in Grid View button ( [image]) to display the Contact Directory Grid view.

Grid mode performs a begins-with search that searches each field of the contact database for the phrase (name, phone number, e-mail address, or other criteria) that you provide in the search field.

Results are returned in tabular form and sorted according to the default search field, such as Last Name.

The Grid view can be used to help to refine your search by sorting the results.

Click a column head in the Grid view to sort the list based on that criterion. Click a column head a second time to switch between ascending and descending sort order. Use the page controls to navigate the list. Click on a contact to select it for an action.

Call Contacts

To call the contact that you have selected in the search results, do one of the following:

  • Click the Contact icon beside the contact name and select the number that you want to call from the Action drop-down list.

  • Click the Phone icon to call the contact using the primary phone number associated with that contact. Click the Phone icon drop-down list to select the number that you will use to call the contact.

  • From the More Actions drop-down menu, select the number that you will use to call the contact.

Any of these actions launches the outgoing Voice Interaction view. Use this view to handle the voice interaction.

Add Contacts

If you are configured to do so, you can add new contacts to the contact database by clicking the Add Contact icon ( [image]) to launch the Add Contact view in the Contact Information tab.

Enter the contact information in the fields. A small red triangle appears in the top left hand corner of the text field to indicate that the information is not saved. Do one of the following:

  • Click the Save icon ( [image]) to save the information in the contact database.

  • Click the Reset icon ( [image]) to clear any unsaved changes from the Add Contact view.

If you want to add additional phone numbers and e-mail addresses for the new contact, click the Add Phone Number or Add E-mail Address link. A new set of fields is added into which you can enter this information.

To specify a phone number or e-mail address as the primary contact number or address, click the Primary radio button beside the phone number or e-mail address that you want to specify as the primary for the contact.

Delete Contacts

To delete a contact, you must first find the contact in the contact database and select it in the contact directory.

With one or more contacts that you want to delete selected, click the Delete icon ( [image]).

A confirmation dialog box is displayed. Click OK to remove the contact from the contact database permanently. Click Cancel to cancel the delete contact function; this leaves the contact in the contact database.

Merge and/or Unmerge Contacts

To Merge or Unmerge a contact, you must first find the contact in the contact database and select it in the contact directory.

Merge Contacts

If there are two contact entries in the contact database for the same contact, you can merge the two entries into a single entry.

First, find the contact in the contact database and select it in the contact directory.

Click the More Actions menu and select Merge.

The Merge Contact dialog box is displayed. Use the search tools to find the duplicate contact, and then do one of the following:

  • Click Merge to complete the merge of the two contact entries.

  • Click Cancel to cancel the merge and return to the Main Window.

You might be required to enter a Description and/or Reasons for the merge. Use the fields after selecting the duplicate contact.

Unmerge Contacts

If there are two contact entries in the contact database that have previously been merged, you can unmerge them into their original contact entries.

First, find the contact in the contact database and select it in the contact directory.

Click Undo Merge. A confirmation dialog box is displayed. Click Yes to unmerge and No to keep the contact merged.

Contact Information and Contact History

Click the Show Details Panel on Bottom/Hide Details Panel button to show or hide contact information and contact history for the currently selected contact.

The Contact Information view enables you to view and, if you are configured to do so, edit information for the currently selected contact.

The Show Details Panel on Bottom/Hide Details Panel button in the Contact Information view specifies where the Contact Information view is placed in the Contact Directory view: beside the directory or below the directory.

The Contact History view tab enables you to view and, if you are configured to do so, edit current and archived interactions that are associated with the currently selected contact.


Change Contact

The Change Contact view enables you to assign a different contact for the selected interaction.

If an interaction has been incorrectly assigned to a specific contact, or if a new contact was created for an interaction when the contact already existed in the contact database, you can assign an open interaction to a specific Contact using the Change this interaction to contact view.

From the More Actions menu, select Change Contact. The Change this interaction to contact view is displayed.

Use the Quick Search or the Advanced Search to find the Contact to whom you want to assign the interaction that you selected in the My History view or the Contact History view.

Select the contact from the result list and then click Merge to assign the interaction to the Contact History for the selected contact. Click Cancel to return to the My History view or the Contact History view without assigning the interaction to a contact.

You can verify that the update to the interaction record was completed correctly by selecting the interaction in the My History view or the Contact History view and checking the Details tab. You can also search for the interaction in the contact database.


Disposition Code

The Disposition Code view enables you to assign one or more codes to an ongoing or terminated interaction to qualify the outcome of the interaction.

The Disposition Code view is a tab in the Voice Interaction window. It contains a checklist of options that you can click to specify the outcome of the interaction.

Click a disposition radio button to select a disposition code for the interaction.

Depending on your system configuration:

  • You might have to set a disposition code before you click Mark Done.

  • You might be able to click Mark Done without a disposition code.

  • The Disposition Code view might not be displayed.


My History

The My History view enables you to view and manage your previous interactions with a contact.

In the Main Window, click the Workspace button, and then click the My History tab to access the My History view. If you are using the Gadget, this information is available from the My History view.

Use the My History view to do the following:

  • Find interactions. The Quick Search and Advanced search return only your interactions.

    • Searching on a phone number, status, start date, or end date returns a list of your interactions that match the criterion or criteria.

    • The search and filter tools work the same in this view as they do in the Contact History view, except that they return only your interactions, not all interactions that match the criteria.

  • Perform the following actions on selected open interactions:

    • Mark done open interactions.

    • Assign contact for the selected interaction assigns the interaction to an existing contact.

  • View information about the selected interaction.

Interaction Workspace enables you to view information details about interactions that you have selected in the My History view. The Show Details Panel on Bottom/Hide Details Panel button ( [image]) enables you to specify how the Details panel is displayed. Click the Show Details Panel on Bottom/Hide Details Panel button to choose one of the following views:

  • Details Panel Right

  • Details Panel Bottom

  • Hide Details Panel

The Details panel contains three tabs. Click on an area in the figure below for information on the functionality


Notepad

The Notepad is a feature that enables you to enter comments about the current interaction or about a selected interaction in the History database. The comments are stored as a part of the history for the contact. The contents of the Notepad can be viewed by any agent who views the contact's history.

The Notepad is available as a tab in the following views:

  • Voice Interaction

  • History

Type notes in the Notepad text field. Click Save to save the notes as part of the interaction.